[rt-users] creating users with rtadmin

Clark Shishido clark at desktop.com
Thu Nov 2 00:45:12 EST 2000


On Wed, Nov 01, 2000 at 09:22:21PM -0800, Valerio Romano emailed:
> OKay I got hard core and upgraded perl to 5.6 and redid the bundle from
> CPAN.  
> I removed the databse and reinstalled rt.
> I am getting a slightly different error.
> I wonder what I am missing:
> 
> root at klingon: 09:17:45 -> ./rtadmin queue -create opsrequest
> DBD::mysql object version 2.0415 does not match bootstrap parameter 2.0414
> at /usr/local/lib/perl5/5.6.0/i386-freebsd/DynaLoader.pm line 219.
> Compilation failed in require at
> /usr/local/lib/perl5/site_perl/5.005/i386-freebsd/Mysql.pm line 13.
> Compilation failed in require at /usr/local/rt/lib/rt/database.pm line 8.
> BEGIN failed--compilation aborted at /usr/local/rt/lib/rt/database.pm line
> 8.
> Compilation failed in require at /usr/local/rt/lib/rt/database/admin.pm
> line 8.
> Compilation failed in require at /usr/local/rt/bin/rtmux.pl line 40.
> On Wed, 1 Nov 2000, root wrote:

all the other perl modules are freshly installed?
I haven't had any installation problems besides what I've noted
since FreeBSD 3.1-RELEASE.

looks like Mysql.pm is still looking for perl 5.005
all relevant perl modules need to be reinstalled.
it's a pain, but necessary.

--clark





More information about the RT-Users mailing list